From: Martina Ferrari <tina@debian.org>
Date: Sat, 20 Jun 2020 15:14:34 -0300
Subject: Fix test failing due to gRPC server not finishing promptly: it times
 out at 20s, so let's wait 21.

Forwarded: https://github.com/prometheus/prometheus/issues/4587
Last-Updated: Sat Mar 12 18:35:22 2022 +0000
---
 cmd/prometheus/main_unix_test.go | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/cmd/prometheus/main_unix_test.go b/cmd/prometheus/main_unix_test.go
index 7224e25..433f8d1 100644
--- a/cmd/prometheus/main_unix_test.go
+++ b/cmd/prometheus/main_unix_test.go
@@ -62,7 +62,7 @@ Loop:
 			select {
 			case stoppedErr = <-done:
 				break Loop
-			case <-time.After(10 * time.Second):
+			case <-time.After(21 * time.Second):
 			}
 			break Loop
 		}
